curl --request POST \
--url https://app.teable.ai/api/admin/setting/batch-test-llm \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"providers":[{"type":"openai","name":"string","apiKey":"string","baseUrl":"http://example.com","models":"","isInstance":true}]}'{
"totalModels": 123,
"testedModels": 123,
"successCount": 123,
"failedCount": 123,
"results": [
{
"modelKey": "<string>",
"providerName": "<string>",
"providerType": "openai",
"model": "<string>",
"success": true,
"error": "<string>",
"ability": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
}
}
]
}Batch test all configured LLM models to verify compatibility with AI field features
curl --request POST \
--url https://app.teable.ai/api/admin/setting/batch-test-llm \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"providers":[{"type":"openai","name":"string","apiKey":"string","baseUrl":"http://example.com","models":"","isInstance":true}]}'{
"totalModels": 123,
"testedModels": 123,
"successCount": 123,
"failedCount": 123,
"results": [
{
"modelKey": "<string>",
"providerName": "<string>",
"providerType": "openai",
"model": "<string>",
"success": true,
"error": "<string>",
"ability": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
此页面对您有帮助吗?